curl --request POST \
--url https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product A",
"unit_price": 100,
"description": "Detailed description of the product or service",
"quantity": 2,
"flat_fee": 10,
"discount_amount": 5,
"discount_percent": 10,
"tax_rate": 10,
"tax_name": "Sales Tax",
"service_start_date": "2024-03-01",
"service_end_date": "2024-03-31",
"display_order": 2
}
'import requests
url = "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items"
payload = {
"name": "Product A",
"unit_price": 100,
"description": "Detailed description of the product or service",
"quantity": 2,
"flat_fee": 10,
"discount_amount": 5,
"discount_percent": 10,
"tax_rate": 10,
"tax_name": "Sales Tax",
"service_start_date": "2024-03-01",
"service_end_date": "2024-03-31",
"display_order": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Product A',
unit_price: 100,
description: 'Detailed description of the product or service',
quantity: 2,
flat_fee: 10,
discount_amount: 5,
discount_percent: 10,
tax_rate: 10,
tax_name: 'Sales Tax',
service_start_date: '2024-03-01',
service_end_date: '2024-03-31',
display_order: 2
})
};
fetch('https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unit_price": 123,
"amount": 123,
"flat_fee": 123,
"tax_rate": 123,
"tax_amount": 123,
"discount_amount": 123,
"discount_percent": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 1,
"currency": "USD",
"description": "<string>",
"tax_name": "<string>",
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"display_order": 123
}{}{}Line Item Create Api
Creates a new line item on an invoice.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Input schema for creating a line item.
Name of the line item
"Product A"
Price per unit
100
Additional details about the line item
"Detailed description of the product or service"
Quantity of units
x >= 12
Fixed flat fee amount
10
Discount amount in currency
5
Discount percentage (0-100)
0 <= x <= 10010
Tax rate percentage (0-100)
0 <= x <= 10010
Name of the tax applied
"Sales Tax"
Service period start date
"2024-03-01"
Service period end date
"2024-03-31"
Display order for line item
x >= 1Response
Line item created successfully
Output schema for invoice line items with UUID for external API.
255^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$3The description of the line item
255The date the service starts for the item
The date the service ends for the item
The order in which the line item will be displayed in the UI/pdf
Was this page helpful?
